/* 
        Primary colors: 
        Secondary colors: 
        Typography: 
*/

/* General CSS */
@font-face {
  font-family: Cairo-Regular;
  font-display: auto;
  src: url(../fonts/Cairo-Regular.ttf) format("truetype");

  /* Font metric overrides */
  ascent-override: 90%; /* adjusts how tall letters extend above baseline */
  descent-override: 20%; /* adjusts how far letters go below baseline */
  line-gap-override: 0%; /* removes extra line spacing */
}
@font-face {
  font-family: Teko-Bold;
  font-display: auto;
  src: url(../fonts/Teko-Bold.ttf) format("truetype");
  ascent-override: 90%;
  descent-override: 10%;
  line-gap-override: 0%;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Cairo-Regular", sans-serif;
  font-size: 16px;
  scroll-behavior: smooth;
}

body {
  background-color: #efefef;
}

a {
  text-decoration: none;
  transition: color 1s;
}

p {
  font-size: 16px;
  margin-bottom: 15px;
  line-height: 1.3;
}
p:last-child {
  margin-bottom: 0 !important;
}
span {
  line-height: 1.3;
}
h1,
h2,
h2 span,
h3,
h4,
h5,
h6 {
  font-family: "Teko-Bold", sans-serif;
  font-weight: 100;
  line-height: 1.1;
}

ul {
  list-style: none;
}
.container {
  width: 1100px;
  margin: 0 auto;
}
/* Buttons */
.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  font-size: 16px;
  text-transform: capitalize;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 5px;
  transition: background-color 1s, color 1s, transform 1s;
  cursor: pointer;
  border: none;
  height: 40px;
}
.btn_black {
  background-color: #000;
  color: #fff;
}
.btn_black:hover {
  background-color: #ffffff;
  color: #000;
  transform: scale(1.1);
}
.btn_red {
  background-color: #da291c;
  color: #fff;
}
.btn_red:hover {
  background-color: #912922;
  transform: scale(1.1);
}
.btn_green {
  background-color: #7ae838;
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn_green:hover {
  transform: scale(1.1);
}
.btn_black_form {
  width: 100%;
  padding: 12px;
}
.btn_black_form:hover {
  background-color: #0000004f;
}
.btn_white {
  background-color: #fff;
  color: #000000;
}
.btn_white:hover {
  background-color: #000000;
  color: #ffffff;
  transform: scale(1.1);
}
/* header */
.header {
  width: 100%;
  height: 100px;
  z-index: 3;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.3s ease;
}
.header_page {
  background-color: #f7f7f7;
}

.header.fixed {
  position: fixed;
  top: 0;
  left: 0;
  background: #f7f7f7; /* or your header color */
  width: 100%;
  z-index: 1000;
  box-shadow: 0px 0px 24px 0px #0000002e;
}

.header.fixed .link_h {
  color: #000000;
}
.header.fixed .link_h:hover {
  color: #da291b;
}
.header-container {
  width: 1150px;
  height: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
}
/* menu */
.h1-menu {
  display: flex;
  align-items: center;
  height: 100%;
}
.h2-menu {
  display: flex;
  align-items: center;
  height: 100%;
}
.header .h2-menu .menu {
  clear: both;
  max-height: 0;
  /* transition: max-height 0.2s ease-out; */
  display: flex;
  align-items: center;
  height: 100%;
}
.menu {
  display: flex;
  align-items: center;
  grid-gap: 15px;
  height: 100%;
  padding: 0 10px !important;
}
.logo {
  display: block;
  width: 350px;
  line-height: 1;
}
.logo img {
  width: 100%;
}
.logo span {
  display: none;
}
.link_h {
  font-size: 18px;
  color: #000000;
  font-weight: 600;
  text-decoration: none;
  text-transform: uppercase;
}
.link_h:hover {
  color: #da291b;
}
.btn_green img {
  width: 100px;
}

/* menu icon */
.header .menu-icon {
  cursor: pointer;
  display: inline-block;
  position: relative;
  -webkit-user-select: none;
  user-select: none;
}
.header .menu-icon .navicon {
  background: #333;
  display: block;
  height: 2px;
  position: relative;
  transition: background 0.2s ease-out;
  width: 30px;
}
.header .menu-icon .navicon:before,
.header .menu-icon .navicon:after {
  background: #333;
  content: "";
  display: block;
  height: 100%;
  position: absolute;
  transition: all 0.2s ease-out;
  width: 100%;
}
.header .menu-icon .navicon:before {
  top: 7px;
}
.header .menu-icon .navicon:after {
  top: -7px;
}

/* menu btn */
.header .menu-btn {
  display: none;
}
.header .menu-btn:checked ~ .h2-menu .menu {
  max-height: 240px;
  padding: 20px;
  background-color: #fbc800;
  height: 250px;
}
.header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}
.header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}
.header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

/* Hero */
#hero {
  width: 100%;
  height: 100vh;
}
.hero_inner {
  width: 100%;
  height: 100%;
}
.hero_bg {
  width: 100%;
  height: 100%;
}
.hero_container {
  width: 100%;
  height: 100%;
  position: relative;
}
.overlay {
  width: 100%;
  height: 100%;
  background-color: #ffffffc2;
}
.overlay2 {
  width: 100%;
  height: 100%;
  background-color: #ffffffe8;
}
.her_info {
  width: 65%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #ffffffba;
  padding: 50px 40px;
  box-shadow: 0px 0px 80px 0px #0000007a;
  border-radius: 5px;
}
.hero_bg {
  width: 100%;
  height: 100%;
  background: url(../img/depamec-car.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.her_info span {
  font-size: 24px;
  color: #000000;
  font-family: "Teko-Bold", sans-serif;
}
.her_info h1 {
  font-size: 48px;
  color: #d6281b;
  margin: 22px 0 10px 0;
  text-transform: uppercase;
}
.her_info p {
  font-size: 20px;
  color: #000000ab;
}

/* Section */
#services,
#cta,
#avis,
#zone,
#qualities,
#intro2 {
  margin: 100px 0;
}
#equipe,
#intro {
  margin: 100px 0 150px 0;
}
#page {
  margin: 150px 0 50px 0;
}
.page_content h4 {
  font-size: 22px;
  margin-bottom: 3px;
}
.page_content ul {
  padding-left: 20px;
  margin-bottom: 30px;
}
.map_box iframe {
  border: none;
}
/* Title */
.sec_title {
  margin-bottom: 50px;
}
.sec_title h2 {
  display: flex;
  text-transform: uppercase;
}
.st_h2 {
  font-size: 30px;
  padding: 20px;
  text-align: center;
  line-height: 0.8;
}
.st_h2_1 {
  background-color: #da291c;
  width: fit-content;
  color: #ffffff;
  padding: 20px 50px;
  clip-path: polygon(5% 0%, 100% 0%, 95% 100%, 0% 100%);
}
.st_h2_2 {
  background-color: #ffffff;
  width: fit-content;
  color: #000000;
  padding: 20px 60px;
  clip-path: polygon(3% 0%, 100% 0%, 97% 100%, 0% 100%);
  margin-left: -15px;
}

/* Services */
.boxes_five {
  display: flex;
  flex-wrap: wrap;
  grid-gap: 2%;
}
.bf_each {
  width: 32%;
  background-color: #da291c;
  padding: 30px 20px;
  border-radius: 5px;
  transition: transform 1s;
  cursor: pointer;
}
.bf_each_mrg {
  margin-bottom: 20px;
}
.bf_each:hover {
  background-color: #000;
  transform: scale(1.04);
}
.bf_each:hover > .bfe_inner h4 {
  color: #ffffff;
  font-size: 27px;
  margin-bottom: 5px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  height: 163px;
  transition: font 1s, height 1s;
}
.bf_each:hover > .bfe_inner .btn_black {
  background-color: #ffffff;
  color: #000000;
}
.bf_each:hover > .bfe_inner p {
  display: none;
}
.bf_each:hover > .bfe_inner img {
  width: 80px;
}
.icns_c {
  width: 60px;
  margin-bottom: 10px;
}
.bfe_inner h4 {
  font-size: 20px;
  color: #fff;
  margin-bottom: 5px;

  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3; /* number of lines to show */
  line-clamp: 3;
  -webkit-box-orient: vertical;

  height: 43px;
}
.bfe_inner p {
  font-size: 14.5px;
  color: #fff;
  margin-bottom: 15px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  height: 115px;
}
.bfe_inner i {
  font-size: 24px;
  color: #fff;
  margin-bottom: 15px;
}

/* CTA */
.cta_bg {
  width: 100%;
  height: 600px;
  background: url(../img/cta/cta_bg.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.cta_inner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  display: grid;
  grid-gap: 40px;
}
.cta_inner h5 {
  font-size: 50px;
  color: #000000;
  text-transform: capitalize;
}
.hidden {
  display: none;
}
.cta_call {
  display: flex;
  justify-content: center;
  grid-gap: 40px;
}
.cta_call a {
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  grid-gap: 10px;
  transition: transform 1s;
}
.cta_call a:hover {
  transform: scale(0.9);
}
.cta_call a i {
  color: #fff;
}
.cta_call a .fa-solid.fa-phone {
  font-size: 50px;
  color: #da291b;
}
.cta_call a:first-child span {
  font-size: 30px;
  color: #da291b;
}
.cta_call a .fa-brands.fa-whatsapp {
  font-size: 58px;
  color: #008b06;
}
.cta_call a:last-child span {
  font-size: 30px;
  color: #008b06;
}
.cta_2 {
  display: grid;
  grid-gap: 5px;
}
.cta_2 h6 {
  font-size: 30px;
  color: #da291c;
}
.cta_3 {
  font-size: 24px;
  color: #000000;
  font-weight: 600;
}
.cta_2 span {
  font-size: 24px;
  color: #000000;
  font-weight: 600;
}

/* CTA STYLE 2 */
#cta_style2 {
  background-color: #f7f7f7;
  width: 100%;
  padding: 70px 0;
}
.ctas2_inner h5 {
  color: #000000;
  font-size: 30px;
  margin-bottom: 20px;
}
.ctas2_inner h6 {
  color: #da291c;
  font-size: 25px;
  margin-bottom: 20px;
}
.map_box {
  width: 100%;
  height: 450px;
}
.map_box iframe {
  width: 100%;
  height: 100%;
}

/* Avis */

.temoignage_carousel {
  position: relative;
  --tw-shadow: 0 25px 50px -12px rgb(0 0 0 / 17%);
  --tw-shadow-colored: 0 25px 50px -12px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
    var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  border-radius: 20px;
}
.temoignage_carousel .owl-prev {
  position: absolute;
  top: 50%;
  left: 2%;
  transform: translate(0%, -50%);
}
.temoignage_carousel .owl-next {
  position: absolute;
  top: 50%;
  right: 2%;
  transform: translate(0%, -50%);
}
.temoignage_carousel .owl-nav [class*="owl-"] {
  display: flex !important;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  margin: 0;
  padding: 0;
  width: 50px;
  height: 50px;
  background: #da291c;
  display: inline-block;
  cursor: pointer;
  border-radius: 50%;
  transition: color 1s, background-color 1s;
  box-shadow: 1px 8px 16px 0px #00000026;
}
.temoignage_carousel .owl-prev i,
.temoignage_carousel .owl-next i {
  color: #fff;
  font-size: 20px;
}
.temoignage_carousel .owl-nav [class*="owl-"]:hover {
  background: #ffffff;
}
.temoignage_carousel .owl-nav [class*="owl-"]:hover > i {
  color: #da291c;
}
.temoignage_carousel .owl-dots {
  position: absolute;
  bottom: -15%;
  left: 50%;
  transform: translate(-50%, 0%);
}
.temoignage_carousel .owl-dots .owl-dot span {
  width: 15px;
  height: 15px;
  background: #da291c;
  border-radius: 30px;
}
.temoignage_carousel .owl-dots .owl-dot.active span,
.temoignage_carousel .owl-dots .owl-dot:hover span {
  background: #da291c7a;
}

.barticle_rating {
  display: flex;
  grid-gap: 10px;
  align-items: center;
  margin-bottom: 10px;
}
.barticle_rating ul {
  display: flex;
  list-style: none;
  text-decoration: none;
}
.barticle_rating ul li i {
  color: #ffc107;
  font-size: 13px;
}
.barticle_rating p {
  margin: 0;
}
.barticle_info {
  position: relative;
  padding: 30px;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
}
.barticle_info h4 {
  font-size: 31px;
  margin-right: 50px;
  margin-bottom: 10px;
}

.temoignage_article {
  margin: 0 auto;
}
.temoignage_item {
  display: flex;
  width: 100%;
  height: 360px;
  border-radius: 5px;
  overflow: hidden;
  background-color: #ffffff;
}
.bi_box {
  flex: 1;
}
.barticle_img {
  height: 100%;
}
.barticle_img img {
  height: 100%;
}

.owl-carousel .owl-dots.disabled,
.owl-carousel .owl-nav.disabled {
  display: block !important;
}

.tem_info {
  display: flex;
  align-items: center;
  grid-gap: 15px;
}
.ti_img {
  width: 65px;
  height: 65px;
  border-radius: 50%;
  overflow: hidden;
}
.ti_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.ti_name span {
  font-size: 20px;
  color: #da291c;
  text-transform: capitalize;
  margin-bottom: 0px;
}
.ti_name p {
  margin: 0;
  font-size: 17px;
  text-transform: capitalize;
  color: #000000;
}
.tem_p {
  font-size: 20px;
  color: #000000;
}
.quote_i i {
  font-size: 40px;
  color: #da291c;
}
.barticle_info_tem {
  display: grid;
  align-items: center;
  padding: 30px 90px;
  background: #f7f7f7;
}

/* Footer */
footer {
  background-color: #000000;
  padding: 120px 0 50px 0;
  border-top: 10px solid #da291c;
}
.f_logo {
  display: block;
  width: 300px;
}
.f_logo img {
  width: 100%;
  margin-bottom: 20px;
}
.footer_box p,
.footer_box a,
.footer_box h6 {
  color: #fff;
}
.f_pages ul li a {
  color: #ffffff;
}
.footer_inner {
  display: flex;
  grid-gap: 40px;
}
.footer_box {
  flex: 1;
}
.footer_box h6 {
  color: #ffffff;
  font-size: 20px;
  text-transform: capitalize;
  margin-bottom: 20px;
}
.f_list,
.f_sm {
  list-style: none;
}
.f_list li {
  margin-bottom: 10px;
}
.f_sm {
  display: flex;
  grid-gap: 20px;
  margin: 30px 0 0 0;
}
.f_sm li a i {
  color: #da291c;
}
.f_sm li a {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #161616;
  width: 40px;
  height: 40px;
  border-radius: 3px;
  transition: color 1s, transform 1s;
}
.f_sm li a:hover {
  transform: scale(1.2);
}
.f_sm li a:hover > i {
  color: #ffffff;
}
.f_af_lg {
  font-size: 17px !important;
}
.footer_box p {
  margin: 0px 0 10px 0;
  font-size: 15px;
}
.footer_inner2 {
  display: grid;
  justify-content: center;
  align-items: baseline;
}
.f_pages ul {
  list-style: none;
  display: flex;
  grid-gap: 15px;
}
.f_hr {
  width: 100%;
  height: 1px;
  background-color: #2d2d2d;
  margin: 50px 0;
}
.f_list li a i {
  color: #da291c;
  margin-right: 10px;
  font-size: 14px;
}
.footer_box a:hover {
  color: #da291c;
}
.f_pages ul li a:hover {
  color: #ffffff;
}
.f_copyright {
  text-align: center;
}
.f_copyright p {
  color: #ffffff;
}

/* Contact */
.contact_form {
  width: 900px;
  margin: 0 auto;
}
.form_box {
  display: grid;
  grid-gap: 15px;
}
.form_row {
  display: flex;
  grid-gap: 10px;
}
.form_col {
  display: grid;
  flex: 1;
}
.form_input,
.form_textar {
  padding: 7px 15px;
  border: 1px solid #0000003b;
  border-radius: 5px;
  background-color: #ffffff54;
}
.form_textar {
  height: 100px;
}

.hidden {
  display: none;
}

.hidden_submit {
  display: none;
}
.success-message {
  color: #4caf50;
  background-color: #4caf503d;
  padding: 12px 0;
  text-align: center;
  margin: 0;
  font-size: 18px;
  border: 1px solid #4caf5099;
}
.error-message {
  color: #f44336bf;
  background-color: #f443364f;
  padding: 12px 0;
  text-align: center;
  margin: 0;
  font-size: 18px;
  border: 1px solid #f44336bf;
}

.form_box label {
  color: #000000;
  margin-bottom: 5px;
}
.form_box input::placeholder,
.form_box textarea::placeholder {
  font-size: 15px;
  color: #0000007d;
}
.sec_title p {
  font-size: 33px;
  text-align: center;
  margin: 50px;
}
.cta_contact {
  margin: 50px 0;
  text-align: center;
  display: grid;
  grid-gap: 35px;
}
.cta_p_contact p {
  font-size: 22px;
  font-weight: 600;
}
.form_box button i {
  font-size: 13px;
  margin-right: 2px;
}

/* Services */
.s_box {
  width: 90%;
  margin: 0 auto;
}
.sb_each {
  display: flex;
  grid-gap: 10px;
  height: 400px;
}
.sbe1_inner {
  flex: 1.3;
  overflow: hidden;
  border-radius: 5px;
}
.sbe2_inner {
  flex: 1;
}
.sbei img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.sb_inner {
  display: grid;
  grid-gap: 10px;
}
.sbei {
  width: 100%;
  height: 100%;
  border-radius: 5px;
  overflow: hidden;
  transition: transform 1s;
  cursor: pointer;
}
.sbei_info {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  background-color: #da291c;
  border-radius: 5px;
}
.sbei_info h6 {
  font-size: 28px;
  color: #ffffff;
  margin-bottom: 12px;
}
.sbei_info p {
  font-size: 14px;
  color: #fff;
}
.sbei:hover {
  transform: scale(1.2);
}

/* A propos */
#apropos_content {
  margin: 100px 0;
}
.apropos_box {
  display: flex;
  height: 600px;
  background-color: #f7f7f7;
}
.apb_each {
  flex: 1;
  height: 100%;
}
.apbe_img {
  height: 100%;
  display: block;
}
.apbe_img div {
  height: 100%;
  display: block;
}
.apb_each img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}
.apbe_info {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80%;
  height: 100%;
  margin: 0 auto;
}
.apbe_info h4 {
  font-size: 30px;
  margin-bottom: 10px;
}
.apbe_info h5 {
  font-size: 26px;
  color: #da291c;
  margin-bottom: 15px;
}
.apbe_info p {
  font-size: 23px;
  color: #000000;
  margin-bottom: 10px;
}
.qsn_box {
  display: flex;
  justify-content: space-evenly;
  margin-top: 50px;
}
.qsnb_each {
  display: grid;
  grid-gap: 10px;
  text-align: center;
}
.qsnb_each img {
  width: 60px;
  margin: 0 auto;
}
.qsnb_each span {
  font-size: 20px;
  text-transform: capitalize;
  color: #000000;
}
.qsnb_each2 img {
  width: 100px;
  margin: 0 auto;
}
.qsnb_each i {
  font-size: 25px;
  color: #da291c;
}
.qsnb_each3 img {
  width: 100%;
}

.qsn_box2 {
  display: flex;
  justify-content: space-evenly;
  grid-gap: 20px;
  margin-top: 100px;
}
.qsnb_each2 {
  flex: 1;
  display: grid;
  grid-gap: 10px;
  text-align: center;
  transition: transform 1s;
  cursor: pointer;
}
.qsnb_each2 span,
.qsnb_each3 span {
  font-size: 30px;
  font-family: "Teko-Bold", sans-serif;
  text-transform: capitalize;
  color: #000000;
}
.qsnb_each2 i,
.qsnb_each3 i {
  font-size: 40px;
  color: #da291c;
}
.qsnb_each2 p,
.qsnb_each3 p {
  color: #000000;
  font-size: 19px;
}

.qsnb_each2:hover,
.qsnb_each3:hover {
  transform: scale(1.1);
}
.qsnb_each2:hover > span,
.qsnb_each3:hover > div span {
  color: #da291c;
}

.qsnb_each3 {
  display: flex;
  grid-gap: 20px;
  transition: transform 1s;
  cursor: pointer;
}
.qsn_box3 {
  display: grid;
  grid-gap: 10px;
  margin-top: 50px;
}
.qsnb_each4 {
  background-color: #ffffff;
  padding: 20px;
  display: flex;
  justify-content: center;
  box-shadow: 0px 0px 27px 3px #00000047;
}
.qsnb_each4 p {
  font-size: 24px;
  color: #da291c;
  text-transform: uppercase;
  font-family: "Teko-Bold", sans-serif;
  letter-spacing: 1px;
}
.intro_inner p span {
  font-size: 25px;
  color: #da291c;
  font-weight: 600;
}
.qsnbe_box2 {
  flex: 4;
}

.qsnbe_box1 {
  flex: 1;
}

.qsnbe_box1 div {
  width: 55px;
}

.intro_inner h3 {
  font-size: 40px;
  text-transform: uppercase;
  color: #da291c;
  text-align: center;
  margin-bottom: 30px;
}
.intro_inner p {
  font-size: 25px;
  text-align: center;
}
.in_box {
  display: flex;
  margin: 80px 0;
}
.in_each1 {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #da291c;
  padding: 55px 0;
}
.in_each2 {
  flex: 4;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  padding: 0 35px;
}
.in_each2 p {
  font-size: 23px;
  text-align: left;
}
.in_each1 h4 {
  font-size: 40px;
  color: #ffffff;
  text-transform: uppercase;
  width: 60%;
  text-align: center;
}

/* Add padding to all section anchors to account for fixed header */
section[id],
div[id] {
  scroll-margin-top: 150px; /* Adjust based on your header height */
}

/* For the services page specifically */
.services-pag section[id],
.services-pag div[id] {
  scroll-margin-top: 150px;
}

.menu li a i {
  margin-right: 5px;
}

/*==================================================
			     Media Queries         
==================================================*/

/* Large Devices (Desktops & Laptops) */

@media (min-width: 1200px) {
  /* Menu Hide/Show */
  .header .h2-menu .menu {
    clear: none;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
  }
  /* End Menu Hide/Show */
}

/* Medium Devices (Landscape Tablets & Medium Desktops) */

@media (min-width: 992px) and (max-width: 1199px) {
  /* Menu Hide/Show */
  .header .h2-menu .menu {
    clear: none;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
  }
  /* End Menu Hide/Show */

  .header-container {
    width: 100%;
    margin: 0 20px;
  }
  .container {
    width: 96%;
    margin: 0 auto;
  }
  .logo {
    width: 250px;
  }
  .link_h {
    font-size: 17px;
  }
  .menu {
    grid-gap: 12px;
    padding: 0 !important;
  }
  .btn {
    font-size: 15px;
  }
  .her_info {
    width: 80%;
    padding: 30px 40px;
  }
  .her_info h1 {
    font-size: 35px;
    margin: 15px 0 5px 0;
  }
  .cta_inner h5 {
    font-size: 40px;
  }
  .cta_3,
  .apbe_info p {
    font-size: 21px;
  }
  .qsnb_each2 span,
  .qsnb_each3 span,
  .sec_title p {
    font-size: 25px;
  }
  .contact_form {
    width: 800px;
  }
}

/* Small Devices (Portrait Tablets & Small Desktops) */

@media (min-width: 768px) and (max-width: 991px) {
  /* Menu Mobile */
  .header .menu-icon {
    position: absolute;
    right: 20px;
    top: 17px;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .h2-menu {
    display: block;
    width: 100%;
    position: absolute;
    top: 60px;
    left: 0;
  }
  .h2-menu .menu li {
    margin: 5px 0;
  }
  .header .h2-menu .menu {
    display: block;
  }
  .header {
    display: block;
    height: 60px;
  }

  .header .menu-btn:checked ~ .h2-menu .menu {
    max-height: 280px;
    padding: 20px !important;
    background-color: #efefef;
    height: 280px;
    box-shadow: 0px 10px 22px -8px #0000005e;
  }
  /* End Menu Mobile */
  #page {
    margin: 100px 0 50px 0;
  }
  .header-container {
    width: 100%;
    margin: 0 20px;
  }
  .container {
    width: 96%;
    margin: 0 auto;
  }
  .logo {
    width: 250px;
  }
  .link_h {
    font-size: 17px;
  }
  .menu {
    grid-gap: 12px;
    padding: 0 !important;
  }
  .btn {
    font-size: 15px;
  }
  .her_info {
    width: 80%;
    padding: 30px 40px;
  }
  .her_info h1 {
    font-size: 35px;
    margin: 15px 0 5px 0;
  }
  .cta_inner h5,
  .quote_i i {
    font-size: 30px;
  }
  .cta_3,
  .apbe_info p {
    font-size: 21px;
  }
  .qsnb_each2 span,
  .qsnb_each3 span,
  .sec_title p,
  .cta_call a:first-child span,
  .cta_call a:last-child span {
    font-size: 25px;
  }
  .contact_form {
    width: 600px;
  }
  .st_h2 {
    font-size: 24px;
  }
  .cta_call a .fa-solid.fa-phone,
  .cta_call a .fa-brands.fa-whatsapp {
    font-size: 35px;
  }
  .cta_inner {
    width: 90%;
  }
  .cta_bg {
    height: 450px;
  }
  .qsnb_each2 p,
  .qsnb_each3 p,
  .tem_p,
  .ti_name p {
    font-size: 16px;
  }
  .barticle_img {
    height: 100%;
  }
  .owl-carousel .owl-item img {
    object-fit: cover;
    height: 100%;
  }
  .barticle_info_tem {
    padding: 20px;
  }
  .owl-theme .owl-nav {
    display: none;
  }
  .map_box {
    height: 350px;
  }
  .footer_box {
    display: unset;
  }
  .footer_box_a {
    flex: 2;
  }
  .footer_box_b {
    flex: 1;
  }
  .bfe_inner h4 {
    -webkit-line-clamp: 4;
    line-clamp: 4;
    height: 90px;
  }
  .bf_each {
    padding: 23px 10px;
  }
  .bf_each:hover > .bfe_inner h4 {
    font-size: 25px;
    -webkit-line-clamp: 6;
    line-clamp: 6;
    height: 163px;
  }
  .bf_each:hover > .bfe_inner img {
    width: 70px;
  }
  .sb_each {
    height: 500px;
  }
  #apropos_content {
    margin: 50px 0;
  }
  .apropos_box {
    height: 650px;
  }
  .cta_p_contact p {
    font-size: 19px;
  }

  .in_each1 {
    flex: 2;
  }
  #intro {
    margin: 100px 0;
  }
  .intro_inner h3,
  .in_each1 h4 {
    font-size: 30px;
  }
  .intro_inner p,
  .intro_inner p span {
    font-size: 19px;
  }
}

/* Extra Small Devices (Landscape Phones & Portrait Tablets) */

@media (max-width: 767px) {
  /* Menu Mobile */
  .header .menu-icon {
    position: absolute;
    right: 20px;
    top: 17px;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .h2-menu {
    display: block;
    width: 100%;
    position: absolute;
    top: 60px;
    left: 0;
  }
  .h2-menu .menu li {
    margin: 5px 0;
  }
  .header .h2-menu .menu {
    display: block;
  }
  .header {
    display: block;
    height: 60px;
  }

  .header .menu-btn:checked ~ .h2-menu .menu {
    max-height: 280px;
    padding: 20px !important;
    background-color: #efefef;
    height: 280px;
    box-shadow: 0px 10px 22px -8px #0000005e;
  }
  /* End Menu Mobile */
  #page {
    margin: 100px 0 50px 0;
  }
  .header-container {
    width: 100%;
    margin: 0;
    padding: 0 20px;
  }
  .container {
    width: 90%;
    margin: 0 auto;
  }
  .logo {
    width: 200px;
  }
  .link_h {
    font-size: 15px;
  }
  .menu {
    grid-gap: 12px;
    padding: 0 !important;
  }
  .btn {
    font-size: 15px;
  }
  .her_info {
    width: 80%;
    padding: 30px 20px;
  }
  .her_info span {
    font-size: 16px;
    display: block;
    line-height: 1;
  }
  .her_info h1 {
    font-size: 25px;
    margin: 15px 0 5px 0;
  }
  .her_info p {
    font-size: 16px;
    color: #000000;
  }
  .cta_inner h5,
  .quote_i i {
    font-size: 30px;
  }
  .cta_3,
  .apbe_info p {
    font-size: 18px;
  }
  .qsnb_each2 span,
  .qsnb_each3 span,
  .cta_call a:first-child span,
  .cta_call a:last-child span {
    font-size: 20px;
  }
  .sec_title p {
    font-size: 20px;
    margin: 50px 0;
  }
  .contact_form {
    width: 100%;
  }
  .st_h2 {
    font-size: 20px;
  }
  .cta_call a .fa-solid.fa-phone,
  .cta_call a .fa-brands.fa-whatsapp {
    font-size: 24px;
  }
  .cta_inner {
    width: 90%;
  }
  .cta_bg {
    height: 550px;
  }
  .qsnb_each2 p,
  .qsnb_each3 p,
  .tem_p,
  .ti_name p {
    font-size: 16px;
  }
  .barticle_img {
    height: 100%;
  }
  .owl-carousel .owl-item img {
    object-fit: cover;
    height: 100%;
  }
  .barticle_info_tem {
    padding: 20px;
  }
  .owl-theme .owl-nav,
  .temoignage_carousel .owl-dots {
    display: none;
  }
  .map_box {
    height: 350px;
  }
  .footer_box {
    display: block;
    margin-bottom: 30px;
  }
  .bfe_inner h4 {
    -webkit-line-clamp: unset;
    line-clamp: unset;
    height: auto;
  }
  .bf_each {
    padding: 30px 20px;
    margin-bottom: 15px;
    width: 100%;
  }
  .bf_each:hover > .bfe_inner h4 {
    font-size: unset;
    -webkit-line-clamp: unset;
    line-clamp: unset;
    height: auto;
  }
  .bf_each:hover > .bfe_inner img {
    width: unset;
  }
  .bf_each:hover > .bfe_inner p {
    display: block;
  }
  .sb_each {
    display: block;
    height: auto;
  }
  #apropos_content {
    margin: 50px 0;
  }
  .apropos_box {
    display: block;
    height: auto;
  }
  .cta_p_contact p {
    font-size: 19px;
  }
  .qsnb_each span {
    font-size: 16px;
  }
  .apbe_info {
    padding: 50px 0;
  }

  .boxes_five,
  .qsn_box2,
  .temoignage_item,
  .footer_inner {
    display: block;
  }
  .form_row {
    display: grid;
  }

  .st_h2_1,
  .st_h2_2 {
    padding: 15px 20px;
  }
  #services,
  #cta,
  #avis,
  #zone,
  #qualities,
  #intro {
    margin: 60px 0;
  }
  .sec_title {
    margin-bottom: 30px;
  }
  .qsnb_each2 {
    grid-gap: 5px;
    margin-bottom: 45px;
  }
  .st_h2_2 {
    margin-left: -7px;
  }
  .temoignage_item {
    height: 600px;
  }
  .bi_box {
    height: 300px;
  }
  .ctas2_inner h5 {
    font-size: 26px;
  }
  .ctas2_inner h6 {
    font-size: 20px;
  }
  #equipe {
    margin: 80px 0 80px 0;
  }
  .qsnb_each2 i,
  .qsnb_each3 i {
    font-size: 30px;
  }
  footer {
    padding: 50px 0 50px 0;
  }
  .f_logo {
    width: 250px;
  }
  .footer_box h6 {
    margin-bottom: 10px;
  }
  .f_pages ul {
    display: block;
    text-align: center;
  }
  .f_pages ul li a {
    line-height: 1.5;
    display: block;
    font-size: 14px;
  }
  .f_pages {
    margin-bottom: 20px;
  }
  .f_copyright p {
    font-size: 14px;
  }
  .s_box {
    width: 100%;
  }
  .sbei_info h6 {
    font-size: 24px;
  }
  .sbei {
    height: 200px;
  }
  .sbei_info {
    padding: 30px 20px;
  }
  .sb_each_flx {
    display: flex;
    flex-direction: column-reverse;
    grid-gap: unset;
  }
  .in_each1 {
    padding: 15px 0;
  }
  .intro_inner h3,
  .in_each1 h4 {
    font-size: 25px;
  }
  .intro_inner p,
  .intro_inner p span {
    font-size: 17px;
  }
  .in_box {
    display: block;
    margin: 50px 0;
  }
  .in_each2 {
    padding: 20px;
  }
  .qsnb_each4 p {
    font-size: 20px !important;
    letter-spacing: 0;
    text-align: center;
  }
}

/* Extra Small Devices (Portrait Phones & Smaller devices) */

@media (max-width: 480px) {
}

/* Extra Small Devices (Portrait Phones & Smaller devices) */

@media (max-width: 320px) {
}
